
class GuiElement:
    def __init__(self, id, pos, z, sprite, timeLeftToLive = 10.0, static = True):
        self.id = id
        self.pos = pos
        self.z = z
        self.sprite = sprite
        self.elements = []
        self.texts = []
        self.timeLeftToLive = timeLeftToLive
        self.static = static

    def place(self, pos):
        self.pos = pos
        for e in self.elements:
            e.place(pos)
        for t in self.texts:
            t.place(pos)
            
class TextElement:
    def __init__(self, id, font, color, pos, text):
        self.id = id
        self.font = font
        self.color = color
        self.pos = pos
        self.text = text
        self.visible = True
        
    def getsize(self):
        return self.font.ft.getsize(self.text)

    def place(self, pos):
        self.pos = pos
        