

class GuiSystem:
    def __init__(self, data_manager):
        self.dataManager = data_manager
    
    def update(self, frametime):
        for e in self.dataManager.guiElements:
            if not e.static:
                e.timeLeftToLive -= frametime
            if e.timeLeftToLive <= 0:
                self.dataManager.removeGui(e)
        pass