import math
import random
from actor import Actor
from collisionsystem import Point

class WaterActor(Actor):
	
	def __init__(self, id, pos, sprite, data_manager):
		Actor.__init__(self, id, pos, sprite, data_manager)
		
		### Pass through objects
		self.isPhantom = True
		self.type = "Water"
		
		self.t = random.random() * 30
		self.waterspeed = random.random()*2 + 1 
		
	def update(self, frametime):
		Actor.update(self, frametime )	
		if self.dataManager.inLevelEdit:
			self.speed.y = 0
		else:
			self.speed.y = 16
			
		self.acc.y = 0.2
		
		self.t += frametime
		move = Point(0,0)
		move.x = math.sin(self.t * 1.5 * self.waterspeed) * 200 * self.waterspeed * frametime
		move.y = math.cos(self.t * 0.5 * self.waterspeed) * 30 * self.waterspeed  * frametime
		#print self,move
		self.move(move)
		#playerdiff = Point(self.dataManager.playerActor.pos.x - self.pos.x, 0)#self.dataManager.playerActor.pos.y - self.pos.y)
		#self.move(playerdiff)
		
	def collideWith(self, collisions):
		#print "collision!", self.sprite.image, collisions
		
		for my_aabb, other_aabb, direction in collisions[self.aabb]:
			other_actor = other_aabb.owner
			#if other_actor is self.dataManager.playerActor:
			#	self.dataManager.keepRunning = False
				
				
				