#! /usr/bin/env python

import sys
import os
try:
    libdir = os.path.abspath(os.path.join(os.path.dirname(__file__), 'lib'))
    sys.path.insert(0, libdir)
except:
    # probably running inside py2exe which doesn't set __file__
    pass


#import py2exeeggs
#py2exeeggs.loadEggs()

import main


def run_test():
	
	import profile
	import pstats

	profile.run( "main.main()", "myStats" )
	p = pstats.Stats( 'myStats' )
	p.strip_dirs()
	p.sort_stats( 'time' )
#	p.sort_stats('cumulative')
	p.print_stats( 30 )
	#p.sort_stats('cumulative').print_stats(10)
	
if __name__ == '__main__': 
	DO_PROFILING = 0
	if DO_PROFILING:
		run_test()
	else:
		main.main()
		